Bug 870199 - RFE: Add %qmake_qt4 macro
RFE: Add %qmake_qt4 macro
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
rawhide
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: FutureFeature, Patch
Depends On:
Blocks: 987731
  Show dependency treegraph
 
Reported: 2012-10-25 15:19 EDT by Ville Skyttä
Modified: 2013-08-07 07:33 EDT (History)
9 users (show)

See Also:
Fixed In Version: qt-4.8.5-5.fc19
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 07:59:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Add %qmake_qt4 macro (537 bytes, patch)
2012-10-25 15:19 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2012-10-25 15:19:09 EDT
Created attachment 633513 [details]
Add %qmake_qt4 macro

Just like %cmake, %cmake_kde4, %configure etc it could be useful to have a qmake macro that'd auto-honor CFLAGS, CXXFLAGS, and LDFLAGS and use the system defaults when those are absent, overriding/appending to qt's defaults.

Untested patch attached; I named the macro %qmake_qt4 for consistency with %cmake_kde4.
Comment 1 Rex Dieter 2013-06-10 07:59:40 EDT
Thanks


%changelog
* Mon Jun 10 2013 Rex Dieter <rdieter@fedoraproject.org> 4.8.5-0.2.rc
- RFE: Add %%qmake_qt4 macro (#870199)
Comment 2 Fedora Update System 2013-07-17 07:53:03 EDT
qt-4.8.5-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qt-4.8.5-2.fc19
Comment 3 Fedora Update System 2013-07-17 07:54:49 EDT
qt-4.8.5-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qt-4.8.5-2.fc18
Comment 4 Christopher Meng 2013-07-25 21:09:17 EDT
Please push, thanks.
Comment 5 Fedora Update System 2013-08-03 20:04:42 EDT
qt-4.8.5-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-08-03 20:06:05 EDT
qt-4.8.5-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Christopher Meng 2013-08-06 23:35:30 EDT
Hi Rex, seems f18 still doesn't have this macro...
Comment 8 Rex Dieter 2013-08-07 06:37:10 EDT
rpm -q qt

and what's in our copy of /usr/lib/rpm/macros.d/macros.qt4 ?
Comment 9 Christopher Meng 2013-08-07 07:33:35 EDT
(In reply to Rex Dieter from comment #8)
> rpm -q qt
> 
> and what's in our copy of /usr/lib/rpm/macros.d/macros.qt4 ?

I'm sorry, but building is finished in Koji, I've searched f18 packages and found it has been pushed to stable.

Note You need to log in before you can comment on or make changes to this bug.